Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.server
Class ServerEngine

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.AxisEngine
              org.apache.axis.server.AxisServer
                  org.jboss.webservice.server.ServerEngine

All Implemented Interfaces:
  org.apache.axis.Handler, Serializable

public class ServerEngine
extends org.apache.axis.server.AxisServer

The ws4ee server engine.

Note, this instance is shared by all deployed web services.

Since:
  15-April-2004
Author:
  Thomas.Diesler@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.AxisEngine
`_hasSafePassword, config, DEFAULT_ATTACHMENT_IMPL, ENV_ATTACHMENT_DIR, ENV_SERVLET_CONTEXT, ENV_SERVLET_REALPATH, PROP_ATTACHMENT_CLEANUP, PROP_ATTACHMENT_DIR, PROP_ATTACHMENT_IMPLEMENTATION, PROP_DEBUG_FILE, PROP_DEBUG_LEVEL, PROP_DEFAULT_CONFIG_CLASS, PROP_DOMULTIREFS, PROP_PASSWORD, PROP_SEND_MINIMIZED_ELEMENTS, PROP_SEND_XSI, PROP_SOAP_ALLOWED_VERSION, PROP_SOAP_VERSION, PROP_SYNC_CONFIG, PROP_TWOD_ARRAY_ENCODING, PROP_XML_DECL, PROP_XML_ENCODING, shouldSaveConfig`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`ServerEngine(org.apache.axis.EngineConfiguration config)` Construct an AxisServer with a given configuration.

Method Summary
`void` | `invoke(org.apache.axis.MessageContext msgContext)` Main routine of the AXIS server.

Methods inherited from class org.apache.axis.server.AxisServer
`generateWSDL, getClientEngine, getServer, isRunning, start, stop`

Methods inherited from class org.apache.axis.AxisEngine
`addActorURI, cleanup, getActorURIs, getApplicationSession, getClassCache, getConfig, getCurrentMessageContext, getGlobalRequest, getGlobalResponse, getHandler, getService, getTransport, getTypeMappingRegistry, hasSafePassword, init, normaliseOptions, refreshGlobalOptions, removeActorURI, saveConfiguration, setAdminPassword, setCurrentMessageContext, setShouldSaveConfig`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerEngine

    public ServerEngine(org.apache.axis.EngineConfiguration config)

  Construct an AxisServer with a given configuration.

Method Detail

### invoke

    public void invoke(org.apache.axis.MessageContext msgContext)
                throws org.apache.axis.AxisFault

  Main routine of the AXIS server. In short we locate the appropriate handler for the desired service and invoke() it.

  Throws:
    `org.apache.axis.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.